#include <bits/stdc++.h>

using namespace std;

#define int long long

signed main()
{
    int n;
    cin>>n;
    int x[n+1];
    int y[n+1];
    int z[n+1];
    map<int,int> cnty;
    map<int, int> cntz;
    for(int i=1;i<=n;i++) cin>>x[i];
    for(int i=1;i<=n;i++){
        cin>>y[i];
        cnty[y[i]]++;
    }
    for(int i=1;i<=n;i++){
        cin>>z[i];
        cntz[z[i]]++;
    }
    map<int, int> nacini;
    for(int i=1;i<=n;i++){
        nacini[y[i]] = cntz[i];
    }
    int res = 0;
    for(int i=1;i<=n;i++){
        res+=cnty[x[i]]*nacini[x[i]];
    }
    cout<<res<<endl;
}